org.apache.thrift.transport

## Class TNonblockingTransport

- java.lang.Object
- - org.apache.thrift.transport.TTransport
  - - org.apache.thrift.transport.TNonblockingTransport

- Direct Known Subclasses:
    TNonblockingSocket

      public abstract class TNonblockingTransport
      extends TTransport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TNonblockingTransport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `finishConnect()` Non-blocking connection completion.
    `abstract int` | `read(java.nio.ByteBuffer buffer)`
    `abstract java.nio.channels.SelectionKey` | `registerSelector(java.nio.channels.Selector selector, int interests)`
    `abstract boolean` | `startConnect()` Non-blocking connection initialization.
    `abstract int` | `write(java.nio.ByteBuffer buffer)`

    - ### Methods inherited from class org.apache.thrift.transport.TTransport

      `close, consumeBuffer, flush, getBuffer, getBufferPosition, getBytesRemainingInBuffer, isOpen, open, peek, read, readAll, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TNonblockingTransport

          public TNonblockingTransport()

  - ### Method Detail

    - #### startConnect

          public abstract boolean startConnect()
                                        throws java.io.IOException

      Non-blocking connection initialization.
      Throws:
        `java.io.IOException`
      See Also:
        `SocketChannel.connect(SocketAddress remote)`

    - #### finishConnect

          public abstract boolean finishConnect()
                                         throws java.io.IOException

      Non-blocking connection completion.
      Throws:
        `java.io.IOException`
      See Also:
        `SocketChannel.finishConnect()`

    - #### registerSelector

          public abstract java.nio.channels.SelectionKey registerSelector(java.nio.channels.Selector selector,
                                                        int interests)
                                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public abstract int read(java.nio.ByteBuffer buffer)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public abstract int write(java.nio.ByteBuffer buffer)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`